WordPress.org

Ready to get started?Download WordPress

Forums

Fluency Admin
Fatal error on activation (10 posts)

  1. Tudorminator
    Member
    Posted 3 years ago #

    Plugin could not be activated because it triggered a fatal error.

    Parse error: syntax error, unexpected T_PUBLIC in /www/egosistem/wp-content/plugins/fluency-admin/wp-fluency-2.php on line 674

  2. Jeremy Boggs
    Member
    Posted 3 years ago #

    I also get the same fatal error. Running WP 3.1, no other plugins activated.

  3. steadiman
    Member
    Posted 3 years ago #

    Same error here, fortunately I could go back to the previous version since it still works fine but I'd like to upgrade.

  4. Jeremy Boggs
    Member
    Posted 3 years ago #

    The error seems to occur because the plugin uses shorthand PHP tags on line 527 in wp-fluency-2.php.

    <? } ?>

    Changing that to use full PHP tags removes the error:

    <?php } ?>
  5. Dean Robinson
    Member
    Plugin Author

    Posted 3 years ago #

    Thanks for posting that, not sure how it slipped through.

    I'll push a proper update out when I get home tonight (no svn access at work :( )

  6. Mike McKoy
    Member
    Posted 3 years ago #

    I'm also getting this error. Had the update been made? This is cuasing conflicts with other plugins which are much more critical to our platform then fluency admin.

    Fatal error: Call to undefined function submit_button() in /home/hairwego/public_html/wp-content/plugins/fluency-admin/wp-fluency-2.php on line 664

    Is this fixed?

  7. misterpatrick67
    Member
    Posted 3 years ago #

    I'm getting this error:

    Parse error: syntax error, unexpected T_STATIC, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /homepages/43/d354020399/htdocs/wip/wp-content/plugins/fluency-admin/wp-fluency-2.php on line 23

    Running WP 3.1 and Fluency 2.4.0.1. The only plugsin I am running are:
    Contact Form 7
    Flash Video Player with HTML5
    Mobile Theme Switcher
    Peter's Login Redirect
    TinyMCE Advanced

  8. Mike McKoy
    Member
    Posted 3 years ago #

    Go back to the earlier release until the owner of the plugin decides to release fix it.

    thats what worked for me. he said he'd update it a few days ago but maybe he's busy.

    no word since then...

  9. Mike McKoy
    Member
    Posted 3 years ago #

    Hey Dean... Do you have an update brother?

  10. jeremyschultz
    Member
    Posted 3 years ago #

    I have a similar problem:

    Parse error: syntax error, unexpected T_STATIC, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /home/mrhciaadm/domains/mrhcia.com/public_html/wordpress/wp-content/plugins/fluency-admin/wp-fluency-2.php on line 23

    I'm running 3.1.1 and these plugins: Google Analytics for WordPress, Meta Tag Manager, PJW Mime Config, RTLer, Theme Test Drive, Typekit Fonts for WordPress.

    2.3.2 does work on this installation.

    Jeremy

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic